## org.apache.mahout.math.decomposer.hebbian
Class TrainingState

    java.lang.Object
      org.apache.mahout.math.decomposer.hebbian.TrainingState

    public class TrainingState

extends Object

Method Summary
`Vector` `currentTrainingProjection()`
`double` `getActivationDenominatorSquared()`
`double` `getActivationNumerator()`
`Matrix` `getCurrentEigens()`
`List<Double>` `getCurrentEigenValues()`
`Vector` `getHelperVector()`
`int` `getNumEigensProcessed()`
`List<EigenStatus>` `getStatusProgress()`
`int` `getTrainingIndex()`
`Matrix` `getTrainingProjections()`
`boolean` `isFirstPass()`
`Vector` `mostRecentEigen()`
`void` `setActivationDenominatorSquared(double activationDenominatorSquared)`
`void` `setActivationNumerator(double activationNumerator)`
`void` `setCurrentEigens(Matrix currentEigens)`
`void` `setCurrentEigenValues(List<Double> currentEigenValues)`
`void` `setFirstPass(boolean firstPass)`
`void` `setHelperVector(Vector helperVector)`
`void` `setNumEigensProcessed(int numEigensProcessed)`
`void` `setStatusProgress(List<EigenStatus> statusProgress)`
`void` `setTrainingIndex(int trainingIndex)`
`void` `setTrainingProjections(Matrix trainingProjections)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mostRecentEigen

    public Vector mostRecentEigen()

### currentTrainingProjection

    public Vector currentTrainingProjection()

### getCurrentEigens

    public Matrix getCurrentEigens()

### setCurrentEigens

    public void setCurrentEigens(Matrix currentEigens)

### getNumEigensProcessed

    public int getNumEigensProcessed()

### setNumEigensProcessed

    public void setNumEigensProcessed(int numEigensProcessed)

### getCurrentEigenValues

    public List<Double> getCurrentEigenValues()

### setCurrentEigenValues

    public void setCurrentEigenValues(List<Double> currentEigenValues)

### getTrainingProjections

    public Matrix getTrainingProjections()

### setTrainingProjections

    public void setTrainingProjections(Matrix trainingProjections)

### getTrainingIndex

    public int getTrainingIndex()

### setTrainingIndex

    public void setTrainingIndex(int trainingIndex)

### getHelperVector

    public Vector getHelperVector()

### setHelperVector

    public void setHelperVector(Vector helperVector)

### isFirstPass

    public boolean isFirstPass()

### setFirstPass

    public void setFirstPass(boolean firstPass)

### getStatusProgress

    public List<EigenStatus> getStatusProgress()

### setStatusProgress

    public void setStatusProgress(List<EigenStatus> statusProgress)

### getActivationNumerator

    public double getActivationNumerator()

### setActivationNumerator

    public void setActivationNumerator(double activationNumerator)

### getActivationDenominatorSquared

    public double getActivationDenominatorSquared()

### setActivationDenominatorSquared

    public void setActivationDenominatorSquared(double activationDenominatorSquared)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.